%define fontname    gfs-jackson
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define archivename GFS_JACKSON

Name:    %{fontname}-fonts
Version: 20080303
Release: 1%{?dist}
Summary: GFS Jackson majuscule Greek font

Group:   User Interface/X
License: OFL
URL:     http://www.greekfontsociety.gr/pages/en_typefaces_majuscules.html
Source0: http://www.greekfontsociety.gr/%{archivename}.zip
Source1: %{name}-fontconfig.conf

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
As it is known, the Greek alphabet was used in majuscule form for over a
millennium before the minuscule letters gradually replaced it until they became
the official script in the 9th century A.D. Thereafter, majuscule letters were
confined to sparse use as initials or elaborate titles until the Italian
Renaissance.

The new art of Typography, as well as the need of the humanists to mimic the
ancient Greco-Roman period brought back the extensive use of the majuscule
letter-forms in both Latin and Greek typography. Greek books of the time were
printed using the contemporary Byzantine hand with which they combined capital
letters modelled on the Roman antiquity, i.e. with thick and thin strokes and
serifs. At the same time the Byzantine majuscule tradition, principally used on
theological editions, remainned alive until the early 19th century.

GFS Jackson is an edition of the font cut, in 1788, by Joseph Jackson on
commission by the Cambridge University in preparation of the edition of the
Beza codex containning the New Testament from the 5th-6th century. Theodore
Beza was the erudite scholar from Geneva who had given the codex as a gift to
the University in 1581.

It has been designed by George D. Matthiopoulos.


%prep
%setup -q -c -T
unzip -j -L -q %{SOURCE0}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build
# Nothing there


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.otf %{buildroot}%{fontdir}

install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/61-%{fontname}.conf


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache %{fontdir} || :
fi


%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache %{fontdir} || :
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt

%config(noreplace) %{fontconfdir}/61-%{fontname}.conf

%dir %{fontdir}/
%{fontdir}/*.otf


%changelog
* Sun Jul 06 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080303-1
Π initial packaging
